Bug 606295 - (CVE-2010-2304) CVE-2010-2304 webkitgtk: Memory corruption by rendering the list item's marker
CVE-2010-2304 webkitgtk: Memory corruption by rendering the list item's marker
Status: CLOSED DUPLICATE of bug 596500
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20100524,reported=20100620,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 07:35 EDT by Jan Lieskovsky
Modified: 2017-08-02 14:54 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 14:11:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-06-21 07:35:11 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2304 to
the following vulnerability:

The toAlphabetic function in rendering/RenderListMarker.cpp in WebCore
in WebKit in Google Chrome before 5.0.375.70 allows remote attackers
to cause a denial of service (memory corruption) or possibly execute
arbitrary code via vectors related to list markers, aka rdar problem
8009118.

References:
  [1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2304
  [2] http://code.google.com/p/chromium/issues/detail?id=44955
  [3] http://googlechromereleases.blogspot.com/2010/06/stable-channel-update.html
  [4] http://secunia.com/advisories/40072

Upstream changeset:
  [5] http://trac.webkit.org/changeset/59950

Upstream bug report:
  [6] https://bugs.webkit.org/show_bug.cgi?id=39508

Public PoC:
  [7] http://trac.webkit.org/browser/trunk/LayoutTests/fast/lists/alpha-boundary-values.html?rev=59950
  
Expected output on fixed packages:
  [8] http://trac.webkit.org/browser/trunk/LayoutTests/platform/mac/fast/lists/alpha-boundary-values-expected.txt?rev=59950
Comment 2 Jan Lieskovsky 2010-06-21 07:50:25 EDT
Created webkitgtk tracking bugs for this issue

Affects: fedora-12 [bug 606303]
Affects: fedora-13 [bug 606304]
Comment 8 Vincent Danen 2010-06-28 14:11:15 EDT
This is a duplicate of CVE-2010-1773.  CVE-2010-2304 was assigned against WebKit as present in Google Chrome, however CVE-2010-1773 was previously assigned to upstream WebKit.  They are the same issue, however, as noted by the same upstream webkit bug ID (#39508).

*** This bug has been marked as a duplicate of bug 596500 ***

Note You need to log in before you can comment on or make changes to this bug.